Skip to main content
PUT

NIC validations

  1. Part-B can be updated by the generator of the e-way bill, if there is no transporter, or by the assigned transporter
  2. Part-B can be updated only if the e-way bill is active, that is, not cancelled
  3. Part-B can be updated only if the e-way bill is within validity period, that is, validity is not expired.
  4. If vehicle is passed, the format of the vehicle number should be valid and as per the format
  5. In case of road as a transportation mode , the vehicle number should be passed and transport document number is optional
  6. In case of rail, air or ship as a transportation mode, the transport document number is must
  7. Limiting generation of E Way Bill within 180 days of Document Date.
  8. Railways integration for validating Trans Document NO .

Request body schema

View request body schema

Authorizations

authorization
string
header
required

E-Way Bill taxpayer access token returned by Authenticate.

x-api-key
string
header
required

Sandbox API key from your Sandbox account.

Headers

x-api-version
string
default:1.0.0

API version

x-source
enum<string>
default:primary

NIC server for the session used by this request. primary selects NIC1. secondary selects NIC2. Defaults to primary. See NIC1 and NIC2 routing.

Available options:
primary,
secondary
x-proxy
enum<string>

NIC server that receives the request. If omitted, the request goes to the server selected by x-source. When specified, selects the other server. See NIC1 and NIC2 routing.

Available options:
primary,
secondary

Path Parameters

ewb_no
string
required

Body

application/json

Request body for UpdateEWayBillVehicle.

ewbNo
number
required

Ewaybill Number

fromPlace
string
required

From Place

Maximum string length: 50
fromState
integer
required

From State

Required range: x <= 99
reasonCode
string
required
Required string length: 1
reasonRem
string
required

Remarks

Maximum string length: 50
transMode
string
required

Transport Mode

See transport modes.

vehicleNo
string

Vehicle Number

See vehicle number formats.

Required string length: 7 - 15
vehicleType
string

Vehicle Type

See vehicle types.

transDocNo
string

Transport Document Number

Maximum string length: 15
transDocDate
string

Transport Document Date

Pattern: [0-3][0-9]/[0-1][0-9]/[2][0][1-2][0-9]

Response

200 - application/json

200 Part B updated / 726 Vehicle type can not be regular / 361 Invalid Vehicle Type

An E-Way Bill success or NIC business-failure response. Both variants use HTTP 200.

code
enum<integer>
required

NIC response code.

Available options:
200
timestamp
integer<int64>
required

Unix timestamp.

transaction_id
string
required

Request transaction identifier.

data
object
required